Name:		qtsmbstatus
Version:	2.0.6
Release:	alt2
License:	GPLv2
Group:		Networking/Other
Source0:	http://qtsmbstatus.free.fr/files/%name-%version.tar.gz
Summary:	QtSmbstatus is a GUI for smbstatus
Url:		http://qtsmbstatus.free.fr/
Packager:	Motsyo Gennadi <drool@altlinux.ru>
Patch0:		%name-2.0.2-alt_dirs.diff
Patch1:		%name-2.0.2-alt_pam.diff
Patch2:		%name-2.0.3-alt_functions.diff

# Automatically added by buildreq on Mon Oct 29 2007 (-bi)
BuildRequires: gcc-c++ ImageMagick libpam-devel libqt4-devel

%description
QtSmbstatus is a GUI (graphical user interface) for smbstatus.
It is meant to provide the possibility of administering remote
machines.

QtSmbstatus was designed as a client/server system secured with
SSL. A login and password is required to log on to server (PAM).
The server's application ought to be installed with samba-server.

%package -n %name-server
Summary: QtSmbstatus server
Group: System/Servers
Requires: samba

%description -n %name-server
Server for QtSmbstatus

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
export PATH=$PATH:%_qt4dir/bin
lrelease client/tr/*.ts
qmake "QMAKE_CFLAGS+=%optflags" "QMAKE_CXXFLAGS+=%optflags" %name.pro
%make_build

%install
%make INSTALL_ROOT=%buildroot install
%__mkdir -p %buildroot/{%_miconsdir,%_niconsdir,%_liconsdir}
convert -resize 16x16 client/icons/samba.png %buildroot%_miconsdir/%name.png
convert -resize 32x32 client/icons/samba.png %buildroot%_niconsdir/%name.png
convert -resize 48x48 client/icons/samba.png %buildroot%_liconsdir/%name.png

%post -n %name-server
%post_service %{name}d

%files
%_bindir/%name
%_datadir/%name
%_man7dir/%name.*
%_desktopdir/%name.desktop
%_miconsdir/%name.png
%_niconsdir/%name.png
%_liconsdir/%name.png

%files -n %name-server
%doc README* changelog
%_bindir/%{name}d
%_initdir/%{name}d
%_man7dir/%{name}d.*
%attr(640,root,root) %_sysconfdir/%{name}d
%_sysconfdir/pam.d/%{name}d

%changelog
* Thu Nov 20 2008 Motsyo Gennadi <drool@altlinux.ru> 2.0.6-alt2
- delete post/postun scripts (new rpm)

* Mon Nov 10 2008 Motsyo Gennadi <drool@altlinux.ru> 2.0.6-alt1
- 2.0.6

* Thu Sep 04 2008 Motsyo Gennadi <drool@altlinux.ru> 2.0.5-alt1
- 2.0.5

* Sat May 10 2008 Motsyo Gennadi <drool@altlinux.ru> 2.0.4-alt1
- 2.0.4
- fix repocop warning (init-condrestart)
- remove preun script

* Sun Mar 02 2008 Motsyo Gennadi <drool@altlinux.ru> 2.0.3-alt2
- add condrestart to initscript
- remove ugly reload|force-reload from initscript

* Sat Feb 09 2008 Motsyo Gennadi <drool@altlinux.ru> 2.0.3-alt1
- 2.0.3

* Thu Jan 10 2008 Motsyo Gennadi <drool@altlinux.ru> 2.0.2-alt3
- disable starting %{name}d after installing
- close #13872:
	* change initscript for use /etc/init.d/functions	
- close #13875:
	* excluded COPYING from packaging
	* excluded docs from packaging %name

* Sun Dec 09 2007 Motsyo Gennadi <drool@altlinux.ru> 2.0.2-alt2
- add Url for Source

* Mon Nov 19 2007 Motsyo Gennadi <drool@altlinux.ru> 2.0.2-alt1
- 2.0.2 (initial build for Sisyphus)

* Sat Nov 10 2007 Motsyo Gennadi <drool@altlinux.ru> 2.0.2-alt0.svn51
- svn verwion

* Tue Nov 06 2007 Motsyo Gennadi <drool@altlinux.ru> 2.0.1-alt1
- Add rus/ukr translation

* Sun Nov 04 2007 Motsyo Gennadi <drool@altlinux.ru> 2.0.1-alt0
- 2.0.1

* Mon Oct 29 2007 Motsyo Gennadi <drool@altlinux.ru> 2.0-alt0
- initial build for ALT Linux
